% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/matrix.R
\name{dcastRepeatedMeasures}
\alias{dcastRepeatedMeasures}
\title{Cast a longitudinal data.frame to a matrix}
\usage{
dcastRepeatedMeasures(
  data,
  response,
  id = getOption("latrend.id"),
  time = getOption("latrend.time")
)
}
\arguments{
\item{data}{The \code{matrix} containing a trajectory on each row.}

\item{response}{The response column name.}

\item{id}{The id column name.}

\item{time}{The time column name.}
}
\value{
A \code{matrix} with a trajectory per row.
}
\description{
Converts a longitudinal \code{data.frame} comprising trajectories with an equal number of observations, measured at identical moments in time, to a \code{matrix}. Each row of the matrix represents a trajectory.
}
