% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methodLongclust.R, R/modelLongclust.R
\name{interface-longclust}
\alias{interface-longclust}
\alias{getName,lcMethodLongclust-method}
\alias{getShortName,lcMethodLongclust-method}
\alias{fit,lcMethodLongclust-method}
\alias{predict.lcModelLongclust}
\alias{fitted.lcModelLongclust}
\alias{postprob,lcModelLongclust-method}
\alias{converged,lcModelLongclust-method}
\alias{logLik.lcModelLongclust}
\alias{BIC.lcModelLongclust}
\title{longclust interface}
\usage{
\S4method{getName}{lcMethodLongclust}(object)

\S4method{getShortName}{lcMethodLongclust}(object)

\S4method{fit}{lcMethodLongclust}(method, data, envir, verbose, ...)

\method{predict}{lcModelLongclust}(object, ..., newdata = NULL, what = "mu", approxFun = approx)

\method{fitted}{lcModelLongclust}(object, ..., clusters = trajectoryAssignments(object))

\S4method{postprob}{lcModelLongclust}(object, ...)

\S4method{converged}{lcModelLongclust}(object, ...)

\method{logLik}{lcModelLongclust}(object, ...)

\method{BIC}{lcModelLongclust}(object, ...)
}
\arguments{
\item{object}{The object to extract the label from.}

\item{method}{The \code{lcMethod} object.}

\item{data}{The data, as a \code{data.frame}, on which the model will be trained.}

\item{envir}{The \code{environment} in which the \code{lcMethod} should be evaluated}

\item{verbose}{A \link[R.utils:Verbose]{R.utils::Verbose} object indicating the level of verbosity.}

\item{...}{Additional arguments.}

\item{newdata}{Optional data frame for which to compute the model predictions. If omitted, the model training data is used.
Cluster trajectory predictions are made when ids are not specified. If the clusters are specified under the Cluster column, output is given only for the specified cluster. Otherwise, a matrix is returned with predictions for all clusters.}

\item{what}{The distributional parameter to predict. By default, the mean response 'mu' is predicted. The cluster membership predictions can be obtained by specifying what='mb'.}

\item{approxFun}{The interpolation function to use for time points not in the feature set.}

\item{clusters}{Optional cluster assignments per id. If unspecified, a \code{matrix} is returned containing the cluster-specific predictions per column.}
}
\description{
longclust interface
}
\seealso{
\link{lcMethodLongclust} \link[longclust]{longclust-package}
}
\keyword{internal}
